libvisio::VSD5Parser Class Reference documentation

Public Member Functions | Protected Member Functions | Private Member Functions | List of all members
libvisio::VSD5Parser Class Reference

`#include <VSD5Parser.h>`

Inheritance diagram for libvisio::VSD5Parser:

## Public Member Functions
| VSD5Parser (librevenge::RVNGInputStream *input, librevenge::RVNGDrawingInterface *painter)
| ~VSD5Parser () override
Public Member Functions inherited from libvisio::VSD6Parser
| VSD6Parser (librevenge::RVNGInputStream *input, librevenge::RVNGDrawingInterface *painter)
| ~VSD6Parser () override
Public Member Functions inherited from libvisio::VSDParser
| VSDParser (librevenge::RVNGInputStream *input, librevenge::RVNGDrawingInterface *painter, librevenge::RVNGInputStream *container=nullptr)
virtual | ~VSDParser ()
bool | parseMain ()
bool | extractStencils ()

## Protected Member Functions
void | readPointer (librevenge::RVNGInputStream *input, Pointer &ptr) override
bool | getChunkHeader (librevenge::RVNGInputStream *input) override
void | readPointerInfo (librevenge::RVNGInputStream *input, unsigned ptrType, unsigned shift, unsigned &listSize, int &pointerCount) override
void | readGeomList (librevenge::RVNGInputStream *input) override
void | readCharList (librevenge::RVNGInputStream *input) override
void | readParaList (librevenge::RVNGInputStream *input) override
void | readShapeList (librevenge::RVNGInputStream *input) override
void | readPropList (librevenge::RVNGInputStream *input) override
void | readFieldList (librevenge::RVNGInputStream *input) override
void | readNameList2 (librevenge::RVNGInputStream *input) override
void | readTabsDataList (librevenge::RVNGInputStream *input) override
void | readLine (librevenge::RVNGInputStream *input) override
void | readFillAndShadow (librevenge::RVNGInputStream *input) override
void | readTextBlock (librevenge::RVNGInputStream *input) override
void | readCharIX (librevenge::RVNGInputStream *input) override
void | readParaIX (librevenge::RVNGInputStream *input) override
void | readTextField (librevenge::RVNGInputStream *input) override
void | readShape (librevenge::RVNGInputStream *input) override
void | readPage (librevenge::RVNGInputStream *input) override
virtual void | handleChunkRecords (librevenge::RVNGInputStream *input)
void | readStyleSheet (librevenge::RVNGInputStream *input) override
void | readNameIDX (librevenge::RVNGInputStream *input) override
void | readMisc (librevenge::RVNGInputStream *input) override
void | readXForm1D (librevenge::RVNGInputStream *input) override
unsigned | getUInt (librevenge::RVNGInputStream *input) override
int | getInt (librevenge::RVNGInputStream *input) override
Protected Member Functions inherited from libvisio::VSD6Parser
bool | getChunkHeader (librevenge::RVNGInputStream *input) override
Protected Member Functions inherited from libvisio::VSDParser
void | readEllipticalArcTo (librevenge::RVNGInputStream *input)
void | readForeignData (librevenge::RVNGInputStream *input)
void | readEllipse (librevenge::RVNGInputStream *input)
void | readGeometry (librevenge::RVNGInputStream *input)
void | readMoveTo (librevenge::RVNGInputStream *input)
void | readLineTo (librevenge::RVNGInputStream *input)
void | readArcTo (librevenge::RVNGInputStream *input)
void | readNURBSTo (librevenge::RVNGInputStream *input)
void | readPolylineTo (librevenge::RVNGInputStream *input)
void | readInfiniteLine (librevenge::RVNGInputStream *input)
void | readShapeData (librevenge::RVNGInputStream *input)
void | readXFormData (librevenge::RVNGInputStream *input)
void | readTxtXForm (librevenge::RVNGInputStream *input)
void | readShapeId (librevenge::RVNGInputStream *input)
void | readForeignDataType (librevenge::RVNGInputStream *input)
void | readPageProps (librevenge::RVNGInputStream *input)
void | readColours (librevenge::RVNGInputStream *input)
void | readFont (librevenge::RVNGInputStream *input)
void | readFontIX (librevenge::RVNGInputStream *input)
virtual void | readTabsData (librevenge::RVNGInputStream *input)
void | readNameList (librevenge::RVNGInputStream *input)
void | readPageSheet (librevenge::RVNGInputStream *input)
void | readSplineStart (librevenge::RVNGInputStream *input)
void | readSplineKnot (librevenge::RVNGInputStream *input)
void | readStencilShape (librevenge::RVNGInputStream *input)
void | readOLEList (librevenge::RVNGInputStream *input)
void | readOLEData (librevenge::RVNGInputStream *input)
virtual void | readNameIDX123 (librevenge::RVNGInputStream *input)
virtual void | readLayerList (librevenge::RVNGInputStream *input)
virtual void | readLayer (librevenge::RVNGInputStream *input)
bool | parseDocument (librevenge::RVNGInputStream *input, unsigned shift)
void | parseMetaData ()
void | handleStreams (librevenge::RVNGInputStream *input, unsigned ptrType, unsigned shift, unsigned level, std::set< unsigned > &visited)
void | handleStream (const Pointer &ptr, unsigned idx, unsigned level, std::set< unsigned > &visited)
void | handleChunks (librevenge::RVNGInputStream *input, unsigned level)
void | handleChunk (librevenge::RVNGInputStream *input)
void | handleBlob (librevenge::RVNGInputStream *input, unsigned shift, unsigned level)
void | _handleLevelChange (unsigned level)
Colour | _colourFromIndex (unsigned idx)
void | _flushShape ()
void | _nameFromId (VSDName &name, unsigned id, unsigned level)

## Private Member Functions
| VSD5Parser ()
| VSD5Parser (const VSDParser &)
VSD5Parser & | operator= (const VSDParser &)
void | readList (librevenge::RVNGInputStream *input)

## Additional Inherited Members
Protected Attributes inherited from libvisio::VSDParser
librevenge::RVNGInputStream * | m_input
librevenge::RVNGDrawingInterface * | m_painter
librevenge::RVNGInputStream * | m_container
ChunkHeader | m_header
VSDCollector * | m_collector
VSDShapeList | m_shapeList
unsigned | m_currentLevel
VSDStencils | m_stencils
VSDStencil * | m_currentStencil
VSDShape | m_shape
bool | m_isStencilStarted
bool | m_isInStyles
unsigned | m_currentShapeLevel
unsigned | m_currentShapeID
unsigned | m_currentLayerListLevel
bool | m_extractStencils
std::vector< Colour > | m_colours
bool | m_isBackgroundPage
bool | m_isShapeStarted
double | m_shadowOffsetX
double | m_shadowOffsetY
VSDGeometryList * | m_currentGeometryList
unsigned | m_currentGeomListCount
std::map< unsigned, VSDName > | m_fonts
std::map< unsigned, VSDName > | m_names
std::map< unsigned, std::map< unsigned, VSDName > > | m_namesMapMap
VSDName | m_currentPageName
std::map< unsigned, VSDTabStop > * | m_currentTabSet

## Constructor & Destructor Documentation

## ◆ VSD5Parser() [1/3]

libvisio::VSD5Parser::VSD5Parser | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGDrawingInterface * | painter
| ) |  |
| explicit

## ◆ ~VSD5Parser()

libvisio::VSD5Parser::~VSD5Parser | ( |  | ) |
| override

## ◆ VSD5Parser() [2/3]

libvisio::VSD5Parser::VSD5Parser | ( |  | ) |
| private

## ◆ VSD5Parser() [3/3]

libvisio::VSD5Parser::VSD5Parser | ( | const VSDParser & |  | ) |
| private

## Member Function Documentation

## ◆ getChunkHeader()

bool libvisio::VSD5Parser::getChunkHeader | ( | librevenge::RVNGInputStream * | input | ) |
| overrideprotectedvirtual

Reimplemented from libvisio::VSDParser.

## ◆ getInt()

int libvisio::VSD5Parser::getInt | ( | librevenge::RVNGInputStream * | input | ) |
| overrideprotectedvirtual

Reimplemented from libvisio::VSDParser.

## ◆ getUInt()

unsigned libvisio::VSD5Parser::getUInt | ( | librevenge::RVNGInputStream * | input | ) |
| overrideprotectedvirtual

Reimplemented from libvisio::VSDParser.

## ◆ handleChunkRecords()

void libvisio::VSD5Parser::handleChunkRecords | ( | librevenge::RVNGInputStream * | input | ) |
| protectedvirtual

## ◆ operator=()

VSD5Parser& libvisio::VSD5Parser::operator= | ( | const VSDParser & |  | ) |
| private

## ◆ readCharIX()

void libvisio::VSD5Parser::readCharIX | ( | librevenge::RVNGInputStream * | input | ) |
| overrideprotectedvirtual

Reimplemented from libvisio::VSDParser.

## ◆ readCharList()

void libvisio::VSD5Parser::readCharList | ( | librevenge::RVNGInputStream * | input | ) |
| overrideprotectedvirtual

Reimplemented from libvisio::VSDParser.

## ◆ readFieldList()

void libvisio::VSD5Parser::readFieldList | ( | librevenge::RVNGInputStream * | input | ) |
| overrideprotectedvirtual

Reimplemented from libvisio::VSDParser.

## ◆ readFillAndShadow()

void libvisio::VSD5Parser::readFillAndShadow | ( | librevenge::RVNGInputStream * | input | ) |
| overrideprotectedvirtual

Reimplemented from libvisio::VSDParser.

## ◆ readGeomList()

void libvisio::VSD5Parser::readGeomList | ( | librevenge::RVNGInputStream * | input | ) |
| overrideprotectedvirtual

Reimplemented from libvisio::VSDParser.

## ◆ readLine()

void libvisio::VSD5Parser::readLine | ( | librevenge::RVNGInputStream * | input | ) |
| overrideprotectedvirtual

Reimplemented from libvisio::VSDParser.

## ◆ readList()

void libvisio::VSD5Parser::readList | ( | librevenge::RVNGInputStream * | input | ) |
| private

## ◆ readMisc()

void libvisio::VSD5Parser::readMisc | ( | librevenge::RVNGInputStream * | input | ) |
| overrideprotectedvirtual

Reimplemented from libvisio::VSDParser.

## ◆ readNameIDX()

void libvisio::VSD5Parser::readNameIDX | ( | librevenge::RVNGInputStream * | input | ) |
| overrideprotectedvirtual

Reimplemented from libvisio::VSDParser.

## ◆ readNameList2()

void libvisio::VSD5Parser::readNameList2 | ( | librevenge::RVNGInputStream * | input | ) |
| overrideprotectedvirtual

Reimplemented from libvisio::VSDParser.

## ◆ readPage()

void libvisio::VSD5Parser::readPage | ( | librevenge::RVNGInputStream * | input | ) |
| overrideprotectedvirtual

Reimplemented from libvisio::VSDParser.

## ◆ readParaIX()

void libvisio::VSD5Parser::readParaIX | ( | librevenge::RVNGInputStream * | input | ) |
| overrideprotectedvirtual

Reimplemented from libvisio::VSDParser.

## ◆ readParaList()

void libvisio::VSD5Parser::readParaList | ( | librevenge::RVNGInputStream * | input | ) |
| overrideprotectedvirtual

Reimplemented from libvisio::VSDParser.

## ◆ readPointer()

void libvisio::VSD5Parser::readPointer | ( | librevenge::RVNGInputStream * | input,
|  | Pointer & | ptr
| ) |  |
| overrideprotectedvirtual

Reimplemented from libvisio::VSDParser.

## ◆ readPointerInfo()

void libvisio::VSD5Parser::readPointerInfo | ( | librevenge::RVNGInputStream * | input,
|  | unsigned | ptrType,
|  | unsigned | shift,
|  | unsigned & | listSize,
|  | int & | pointerCount
| ) |  |
| overrideprotectedvirtual

Reimplemented from libvisio::VSDParser.

## ◆ readPropList()

void libvisio::VSD5Parser::readPropList | ( | librevenge::RVNGInputStream * | input | ) |
| overrideprotectedvirtual

Reimplemented from libvisio::VSDParser.

## ◆ readShape()

void libvisio::VSD5Parser::readShape | ( | librevenge::RVNGInputStream * | input | ) |
| overrideprotectedvirtual

Reimplemented from libvisio::VSDParser.

## ◆ readShapeList()

void libvisio::VSD5Parser::readShapeList | ( | librevenge::RVNGInputStream * | input | ) |
| overrideprotectedvirtual

Reimplemented from libvisio::VSDParser.

## ◆ readStyleSheet()

void libvisio::VSD5Parser::readStyleSheet | ( | librevenge::RVNGInputStream * | input | ) |
| overrideprotectedvirtual

Reimplemented from libvisio::VSDParser.

## ◆ readTabsDataList()

void libvisio::VSD5Parser::readTabsDataList | ( | librevenge::RVNGInputStream * | input | ) |
| overrideprotectedvirtual

Reimplemented from libvisio::VSDParser.

## ◆ readTextBlock()

void libvisio::VSD5Parser::readTextBlock | ( | librevenge::RVNGInputStream * | input | ) |
| overrideprotectedvirtual

Reimplemented from libvisio::VSDParser.

## ◆ readTextField()

void libvisio::VSD5Parser::readTextField | ( | librevenge::RVNGInputStream * | input | ) |
| overrideprotectedvirtual

Reimplemented from libvisio::VSDParser.

## ◆ readXForm1D()

void libvisio::VSD5Parser::readXForm1D | ( | librevenge::RVNGInputStream * | input | ) |
| overrideprotectedvirtual

Reimplemented from libvisio::VSDParser.

The documentation for this class was generated from the following files:

- VSD5Parser.h
- VSD5Parser.cpp